Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class AssertionError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.AssertionError

    @TransactionType(value=NOT_SUPPORTED)
    public class AssertionError

extends Error

Thrown to indicate that an assertion has failed.

The six one-argument public constructors provided by this class ensure that the assertion error returned by the invocation:

         new AssertionError(expression)

has as its detail message the string conversion of expression (as defined in The Java Language Specification, Second Edition, Section 15.18.1.1), regardless of the type of expression.

Since:
  JDK1.4, Java Card 3.0

Constructor Summary
`AssertionError()` Constructs an AssertionError with no detail message.
`AssertionError(boolean detailMessage)` Constructs an AssertionError with its detail message derived from the specified `boolean`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
`AssertionError(char detailMessage)` Constructs an AssertionError with its detail message derived from the specified `char`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
`AssertionError(int detailMessage)` Constructs an AssertionError with its detail message derived from the specified `int`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
`AssertionError(long detailMessage)` Constructs an AssertionError with its detail message derived from the specified `long`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.
`AssertionError(Object detailMessage)` Constructs an AssertionError with its detail message derived from the specified object, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.

Method Summary

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionError

    public AssertionError()

  Constructs an AssertionError with no detail message.

### AssertionError

    public AssertionError(Object detailMessage)

  Constructs an AssertionError with its detail message derived from the specified object, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.

  Parameters:
    `detailMessage` - value to be used in constructing detail message

### AssertionError

    public AssertionError(boolean detailMessage)

  Constructs an AssertionError with its detail message derived from the specified `boolean`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.

  Parameters:
    `detailMessage` - value to be used in constructing detail message

### AssertionError

    public AssertionError(char detailMessage)

  Constructs an AssertionError with its detail message derived from the specified `char`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.

  Parameters:
    `detailMessage` - value to be used in constructing detail message

### AssertionError

    public AssertionError(int detailMessage)

  Constructs an AssertionError with its detail message derived from the specified `int`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.

  Parameters:
    `detailMessage` - value to be used in constructing detail message

### AssertionError

    public AssertionError(long detailMessage)

  Constructs an AssertionError with its detail message derived from the specified `long`, which is converted to a string as defined in The Java Language Specification, Second Edition, Section 15.18.1.1.

  Parameters:
    `detailMessage` - value to be used in constructing detail message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.